org.hibernate.search.engine.impl

## Class MutableEntityIndexBinding

- java.lang.Object
- - org.hibernate.search.engine.impl.MutableEntityIndexBinding

- All Implemented Interfaces:
    EntityIndexBinding

      public class MutableEntityIndexBinding
      extends Object
      implements EntityIndexBinding

  Author:
    Sanne Grinovero (C) 2011 Red Hat Inc.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MutableEntityIndexBinding(IndexManagerGroupHolder indexManagerGroupHolder, IndexManagerSelector indexManagerSelector, ShardIdentifierProvider shardIdentifierProvider, EntityIndexingInterceptor<?> entityIndexingInterceptor)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `DocumentBuilderIndexedEntity` | `getDocumentBuilder()`
    `EntityIndexingInterceptor<?>` | `getEntityIndexingInterceptor()`
    `IndexManagerSelector` | `getIndexManagerSelector()`
    `IndexManagerType` | `getIndexManagerType()`
    `ShardIdentifierProvider` | `getShardIdentifierProvider()`
    `Similarity` | `getSimilarity()`
    `void` | `postInitialize(IndexedTypeSet indexedClasses)` Called once during bootstrapping
    `void` | `setDocumentBuilderIndexedEntity(DocumentBuilderIndexedEntity documentBuilder)` Allows to set the document builder for this `EntityIndexBinding`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MutableEntityIndexBinding

          public MutableEntityIndexBinding(IndexManagerGroupHolder indexManagerGroupHolder,
                                           IndexManagerSelector indexManagerSelector,
                                           ShardIdentifierProvider shardIdentifierProvider,
                                           EntityIndexingInterceptor<?> entityIndexingInterceptor)

  - ### Method Detail

    - #### setDocumentBuilderIndexedEntity

          public void setDocumentBuilderIndexedEntity(DocumentBuilderIndexedEntity documentBuilder)

      Allows to set the document builder for this `EntityIndexBinding`.
      Parameters:
        `documentBuilder` - the new document builder instance

    - #### getSimilarity

          public Similarity getSimilarity()

      Specified by:
        `getSimilarity` in interface `EntityIndexBinding`
      Returns:
        the `Similarity` used to search and index this entity

    - #### getIndexManagerSelector

          public IndexManagerSelector getIndexManagerSelector()

      Specified by:
        `getIndexManagerSelector` in interface `EntityIndexBinding`
      Returns:
        the index manager selector

    - #### getShardIdentifierProvider

          public ShardIdentifierProvider getShardIdentifierProvider()

      Specified by:
        `getShardIdentifierProvider` in interface `EntityIndexBinding`
      Returns:
        the shard identifier provider. Can be `null` depending on selected `IndexShardingStrategy`.

    - #### getDocumentBuilder

          public DocumentBuilderIndexedEntity getDocumentBuilder()

      Specified by:
        `getDocumentBuilder` in interface `EntityIndexBinding`
      Returns:
        the document builder for this binding

    - #### postInitialize

          public void postInitialize(IndexedTypeSet indexedClasses)

      Description copied from interface: `EntityIndexBinding`
      Called once during bootstrapping
      Specified by:
        `postInitialize` in interface `EntityIndexBinding`
      Parameters:
        `indexedClasses` - set of indexed classes

    - #### getIndexManagerType

          public IndexManagerType getIndexManagerType()

      Specified by:
        `getIndexManagerType` in interface `EntityIndexBinding`
      Returns:
        the type of index managers

    - #### getEntityIndexingInterceptor

          public EntityIndexingInterceptor<?> getEntityIndexingInterceptor()

      Specified by:
        `getEntityIndexingInterceptor` in interface `EntityIndexBinding`
      Returns:
        the interceptor for indexing operations. Can be `null`

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved